Index: trunk/compiler/ooasCompiler/src/org/momut/ooas/parser/ooaParser.java
===================================================================
--- trunk/compiler/ooasCompiler/src/org/momut/ooas/parser/ooaParser.java	(revision 11)
+++ trunk/compiler/ooasCompiler/src/org/momut/ooas/parser/ooaParser.java	(revision 12)
@@ -4763,7 +4788,7 @@
                     }
                     break;
                 case 6 :
-                    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:696:4: t_in= T_INTNUMBER
+                    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:700:4: t_in= T_INTNUMBER
                     {
                     t_in=(Token)match(input,T_INTNUMBER,FOLLOW_T_INTNUMBER_in_constant3298);
 
@@ -4772,7 +4797,7 @@
                     }
                     break;
                 case 7 :
-                    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:697:4: t_l= T_STRINGLITERAL
+                    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:701:4: t_l= T_STRINGLITERAL
                     {
                     t_l=(Token)match(input,T_STRINGLITERAL,FOLLOW_T_STRINGLITERAL_in_constant3307);
 
@@ -4798,7 +4823,7 @@
 
 
     // $ANTLR start "initializedComplexType"
-    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:700:1: initializedComplexType returns [Expression result] : (res= initializedListType |res= initializedSetType | T_NEW T_LPAREN anid= T_IDENTIFIER ( T_COMMA aname= T_STRINGLITERAL T_RPAREN | T_RPAREN ) );
+    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:704:1: initializedComplexType returns [Expression result] : (res= initializedListType |res= initializedSetType | T_NEW T_LPAREN anid= T_IDENTIFIER ( T_COMMA aname= T_STRINGLITERAL T_RPAREN | T_RPAREN ) );
     public final Expression initializedComplexType() throws RecognitionException {
         Expression result = null;
 
@@ -4812,35 +4837,35 @@
         		result = null;
 
         try {
-            // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:705:2: (res= initializedListType |res= initializedSetType | T_NEW T_LPAREN anid= T_IDENTIFIER ( T_COMMA aname= T_STRINGLITERAL T_RPAREN | T_RPAREN ) )
-            int alt73=3;
+            // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:709:2: (res= initializedListType |res= initializedSetType | T_NEW T_LPAREN anid= T_IDENTIFIER ( T_COMMA aname= T_STRINGLITERAL T_RPAREN | T_RPAREN ) )
+            int alt74=3;
             switch ( input.LA(1) ) {
             case T_LSQPAREN:
                 {
-                alt73=1;
+                alt74=1;
                 }
                 break;
             case T_CBRL:
                 {
-                alt73=2;
+                alt74=2;
                 }
                 break;
             case T_NEW:
                 {
-                alt73=3;
+                alt74=3;
                 }
                 break;
             default:
                 final NoViableAltException nvae =
-                    new NoViableAltException("", 73, 0, input);
+                    new NoViableAltException("", 74, 0, input);
 
                 throw nvae;
 
             }
 
-            switch (alt73) {
+            switch (alt74) {
                 case 1 :
-                    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:705:4: res= initializedListType
+                    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:709:4: res= initializedListType
                     {
                     pushFollow(FOLLOW_initializedListType_in_initializedComplexType3334);
                     res=initializedListType();
@@ -4853,7 +4878,7 @@
                     }
                     break;
                 case 2 :
-                    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:706:4: res= initializedSetType
+                    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:710:4: res= initializedSetType
                     {
                     pushFollow(FOLLOW_initializedSetType_in_initializedComplexType3343);
                     res=initializedSetType();
@@ -4866,7 +4891,7 @@
                     }
                     break;
                 case 3 :
-                    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:707:5: T_NEW T_LPAREN anid= T_IDENTIFIER ( T_COMMA aname= T_STRINGLITERAL T_RPAREN | T_RPAREN )
+                    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:711:5: T_NEW T_LPAREN anid= T_IDENTIFIER ( T_COMMA aname= T_STRINGLITERAL T_RPAREN | T_RPAREN )
                     {
                     match(input,T_NEW,FOLLOW_T_NEW_in_initializedComplexType3351);
 
@@ -4874,26 +4899,26 @@
 
                     anid=(Token)match(input,T_IDENTIFIER,FOLLOW_T_IDENTIFIER_in_initializedComplexType3357);
 
-                    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:708:4: ( T_COMMA aname= T_STRINGLITERAL T_RPAREN | T_RPAREN )
-                    int alt72=2;
-                    final int LA72_0 = input.LA(1);
+                    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:712:4: ( T_COMMA aname= T_STRINGLITERAL T_RPAREN | T_RPAREN )
+                    int alt73=2;
+                    final int LA73_0 = input.LA(1);
 
-                    if ( (LA72_0==T_COMMA) ) {
-                        alt72=1;
+                    if ( (LA73_0==T_COMMA) ) {
+                        alt73=1;
                     }
-                    else if ( (LA72_0==T_RPAREN) ) {
-                        alt72=2;
+                    else if ( (LA73_0==T_RPAREN) ) {
+                        alt73=2;
                     }
                     else {
                         final NoViableAltException nvae =
-                            new NoViableAltException("", 72, 0, input);
+                            new NoViableAltException("", 73, 0, input);
 
                         throw nvae;
 
                     }
-                    switch (alt72) {
+                    switch (alt73) {
                         case 1 :
-                            // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:709:5: T_COMMA aname= T_STRINGLITERAL T_RPAREN
+                            // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:713:5: T_COMMA aname= T_STRINGLITERAL T_RPAREN
                             {
                             match(input,T_COMMA,FOLLOW_T_COMMA_in_initializedComplexType3369);
 
@@ -4906,7 +4931,7 @@
                             }
                             break;
                         case 2 :
-                            // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:710:6: T_RPAREN
+                            // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:714:6: T_RPAREN
                             {
                             match(input,T_RPAREN,FOLLOW_T_RPAREN_in_initializedComplexType3385);
 
@@ -4938,7 +4963,7 @@
 
 
     // $ANTLR start "initializedListType"
-    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:714:1: initializedListType returns [ListConstructor result] : T_LSQPAREN e= expression ( ( T_COMMA e2= expression )+ | listComprehension[result] )? T_RSQPAREN ;
+    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:718:1: initializedListType returns [ListConstructor result] : T_LSQPAREN e= expression ( ( T_COMMA e2= expression )+ | listComprehension[result] )? T_RSQPAREN ;
     public final ListConstructor initializedListType() throws RecognitionException {
         ListConstructor result = null;
 
@@ -4953,8 +4978,8 @@
         		pushListVarsOnResolveStack(result); // need this here for list comprehension
 
         try {
-            // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:720:2: ( T_LSQPAREN e= expression ( ( T_COMMA e2= expression )+ | listComprehension[result] )? T_RSQPAREN )
-            // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:720:4: T_LSQPAREN e= expression ( ( T_COMMA e2= expression )+ | listComprehension[result] )? T_RSQPAREN
+            // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:724:2: ( T_LSQPAREN e= expression ( ( T_COMMA e2= expression )+ | listComprehension[result] )? T_RSQPAREN )
+            // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:724:4: T_LSQPAREN e= expression ( ( T_COMMA e2= expression )+ | listComprehension[result] )? T_RSQPAREN
             {
             match(input,T_LSQPAREN,FOLLOW_T_LSQPAREN_in_initializedListType3416);
 
@@ -4966,35 +4991,35 @@
 
             addListElement(result,e);
 
-            // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:720:56: ( ( T_COMMA e2= expression )+ | listComprehension[result] )?
-            int alt75=3;
-            final int LA75_0 = input.LA(1);
+            // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:724:56: ( ( T_COMMA e2= expression )+ | listComprehension[result] )?
+            int alt76=3;
+            final int LA76_0 = input.LA(1);
 
-            if ( (LA75_0==T_COMMA) ) {
-                alt75=1;
+            if ( (LA76_0==T_COMMA) ) {
+                alt76=1;
             }
-            else if ( (LA75_0==T_BAR) ) {
-                alt75=2;
+            else if ( (LA76_0==T_BAR) ) {
+                alt76=2;
             }
-            switch (alt75) {
+            switch (alt76) {
                 case 1 :
-                    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:721:4: ( T_COMMA e2= expression )+
+                    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:725:4: ( T_COMMA e2= expression )+
                     {
-                    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:721:4: ( T_COMMA e2= expression )+
-                    int cnt74=0;
-                    loop74:
+                    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:725:4: ( T_COMMA e2= expression )+
+                    int cnt75=0;
+                    loop75:
                     do {
-                        int alt74=2;
-                        final int LA74_0 = input.LA(1);
+                        int alt75=2;
+                        final int LA75_0 = input.LA(1);
 
-                        if ( (LA74_0==T_COMMA) ) {
-                            alt74=1;
+                        if ( (LA75_0==T_COMMA) ) {
+                            alt75=1;
                         }
 
 
-                        switch (alt74) {
+                        switch (alt75) {
                     	case 1 :
-                    	    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:721:5: T_COMMA e2= expression
+                    	    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:725:5: T_COMMA e2= expression
                     	    {
                     	    match(input,T_COMMA,FOLLOW_T_COMMA_in_initializedListType3431);
 
@@ -5010,12 +5035,12 @@
                     	    break;
 
                     	default :
-                    	    if ( cnt74 >= 1 ) break loop74;
+                    	    if ( cnt75 >= 1 ) break loop75;
                                 final EarlyExitException eee =
-                                    new EarlyExitException(74, input);
+                                    new EarlyExitException(75, input);
                                 throw eee;
                         }
-                        cnt74++;
+                        cnt75++;
                     } while (true);
 
 
@@ -5022,7 +5047,7 @@
                     }
                     break;
                 case 2 :
-                    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:722:6: listComprehension[result]
+                    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:726:6: listComprehension[result]
                     {
                     pushFollow(FOLLOW_listComprehension_in_initializedListType3447);
                     listComprehension(result);
@@ -5057,7 +5082,7 @@
 
 
     // $ANTLR start "listComprehension"
-    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:728:1: listComprehension[ListConstructor result] : T_BAR T_VAR id= T_IDENTIFIER T_COLON t1= complexType ( T_SEMICOLON id2= T_IDENTIFIER t2= complexType )* ( '&' e= expression )? ;
+    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:732:1: listComprehension[ListConstructor result] : T_BAR T_VAR id= T_IDENTIFIER T_COLON t1= complexType ( T_SEMICOLON id2= T_IDENTIFIER t2= complexType )* ( '&' e= expression )? ;
     public final void listComprehension(ListConstructor result) throws RecognitionException {
         Token id=null;
         Token id2=null;
@@ -5072,8 +5097,8 @@
         		result.SetHasComprehension(true);
 
         try {
-            // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:732:2: ( T_BAR T_VAR id= T_IDENTIFIER T_COLON t1= complexType ( T_SEMICOLON id2= T_IDENTIFIER t2= complexType )* ( '&' e= expression )? )
-            // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:733:3: T_BAR T_VAR id= T_IDENTIFIER T_COLON t1= complexType ( T_SEMICOLON id2= T_IDENTIFIER t2= complexType )* ( '&' e= expression )?
+            // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:736:2: ( T_BAR T_VAR id= T_IDENTIFIER T_COLON t1= complexType ( T_SEMICOLON id2= T_IDENTIFIER t2= complexType )* ( '&' e= expression )? )
+            // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:737:3: T_BAR T_VAR id= T_IDENTIFIER T_COLON t1= complexType ( T_SEMICOLON id2= T_IDENTIFIER t2= complexType )* ( '&' e= expression )?
             {
             match(input,T_BAR,FOLLOW_T_BAR_in_listComprehension3486);
 
@@ -5091,20 +5116,20 @@
 
             addListComprVar(result,id,t1);
 
-            // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:735:4: ( T_SEMICOLON id2= T_IDENTIFIER t2= complexType )*
-            loop76:
+            // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:739:4: ( T_SEMICOLON id2= T_IDENTIFIER t2= complexType )*
+            loop77:
             do {
-                int alt76=2;
-                final int LA76_0 = input.LA(1);
+                int alt77=2;
+                final int LA77_0 = input.LA(1);
 
-                if ( (LA76_0==T_SEMICOLON) ) {
-                    alt76=1;
+                if ( (LA77_0==T_SEMICOLON) ) {
+                    alt77=1;
                 }
 
 
-                switch (alt76) {
+                switch (alt77) {
             	case 1 :
-            	    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:735:5: T_SEMICOLON id2= T_IDENTIFIER t2= complexType
+            	    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:739:5: T_SEMICOLON id2= T_IDENTIFIER t2= complexType
             	    {
             	    match(input,T_SEMICOLON,FOLLOW_T_SEMICOLON_in_listComprehension3510);
 
@@ -5122,21 +5147,21 @@
             	    break;
 
             	default :
-            	    break loop76;
+            	    break loop77;
                 }
             } while (true);
 
 
-            // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:736:3: ( '&' e= expression )?
-            int alt77=2;
-            final int LA77_0 = input.LA(1);
+            // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:740:3: ( '&' e= expression )?
+            int alt78=2;
+            final int LA78_0 = input.LA(1);
 
-            if ( (LA77_0==116) ) {
-                alt77=1;
+            if ( (LA78_0==116) ) {
+                alt78=1;
             }
-            switch (alt77) {
+            switch (alt78) {
                 case 1 :
-                    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:736:4: '&' e= expression
+                    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:740:4: '&' e= expression
                     {
                     match(input,116,FOLLOW_116_in_listComprehension3529);
 
@@ -5172,7 +5197,7 @@
 
 
     // $ANTLR start "initializedSetType"
-    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:740:1: initializedSetType returns [Expression result] : ( T_CBRL T_MAPS T_CBRR |res= initializedSet );
+    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:744:1: initializedSetType returns [Expression result] : ( T_CBRL T_MAPS T_CBRR |res= initializedSet );
     public final Expression initializedSetType() throws RecognitionException {
         Expression result = null;
 
@@ -5184,22 +5209,22 @@
         		result = null;
 
         try {
-            // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:745:2: ( T_CBRL T_MAPS T_CBRR |res= initializedSet )
-            int alt78=2;
-            final int LA78_0 = input.LA(1);
+            // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:749:2: ( T_CBRL T_MAPS T_CBRR |res= initializedSet )
+            int alt79=2;
+            final int LA79_0 = input.LA(1);
 
-            if ( (LA78_0==T_CBRL) ) {
-                final int LA78_1 = input.LA(2);
+            if ( (LA79_0==T_CBRL) ) {
+                final int LA79_1 = input.LA(2);
 
-                if ( (LA78_1==T_MAPS) ) {
-                    alt78=1;
+                if ( (LA79_1==T_MAPS) ) {
+                    alt79=1;
                 }
-                else if ( (LA78_1==T_ABS||(LA78_1 >= T_CARD && LA78_1 <= T_CBRL)||LA78_1==T_DCONC||LA78_1==T_DINTER||LA78_1==T_DOM||(LA78_1 >= T_DUNION && LA78_1 <= T_ELEMS)||(LA78_1 >= T_EXISTS && LA78_1 <= T_FALSE)||LA78_1==T_FLOATNUMBER||LA78_1==T_FORALL||(LA78_1 >= T_HEAD && LA78_1 <= T_IDENTIFIER)||LA78_1==T_IF||LA78_1==T_INDS||LA78_1==T_INTNUMBER||LA78_1==T_LEN||(LA78_1 >= T_LPAREN && LA78_1 <= T_LSQPAREN)||LA78_1==T_MERGE||LA78_1==T_MINUS||(LA78_1 >= T_NEW && LA78_1 <= T_NIL)||LA78_1==T_NOT||LA78_1==T_RNG||LA78_1==T_SELF||LA78_1==T_STRINGLITERAL||LA78_1==T_TAIL||LA78_1==T_TRUE) ) {
-                    alt78=2;
+                else if ( (LA79_1==T_ABS||(LA79_1 >= T_CARD && LA79_1 <= T_CBRL)||LA79_1==T_DCONC||LA79_1==T_DINTER||LA79_1==T_DOM||(LA79_1 >= T_DUNION && LA79_1 <= T_ELEMS)||(LA79_1 >= T_EXISTS && LA79_1 <= T_FALSE)||LA79_1==T_FLOATNUMBER||LA79_1==T_FORALL||(LA79_1 >= T_HEAD && LA79_1 <= T_IDENTIFIER)||LA79_1==T_IF||LA79_1==T_INDS||LA79_1==T_INTNUMBER||LA79_1==T_LEN||(LA79_1 >= T_LPAREN && LA79_1 <= T_LSQPAREN)||LA79_1==T_MERGE||LA79_1==T_MINUS||(LA79_1 >= T_NEW && LA79_1 <= T_NIL)||LA79_1==T_NOT||LA79_1==T_RNG||LA79_1==T_SELF||LA79_1==T_STRINGLITERAL||LA79_1==T_TAIL||LA79_1==T_TRUE) ) {
+                    alt79=2;
                 }
                 else {
                     final NoViableAltException nvae =
-                        new NoViableAltException("", 78, 1, input);
+                        new NoViableAltException("", 79, 1, input);
 
                     throw nvae;
 
@@ -5207,14 +5232,14 @@
             }
             else {
                 final NoViableAltException nvae =
-                    new NoViableAltException("", 78, 0, input);
+                    new NoViableAltException("", 79, 0, input);
 
                 throw nvae;
 
             }
-            switch (alt78) {
+            switch (alt79) {
                 case 1 :
-                    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:745:4: T_CBRL T_MAPS T_CBRR
+                    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:749:4: T_CBRL T_MAPS T_CBRR
                     {
                     match(input,T_CBRL,FOLLOW_T_CBRL_in_initializedSetType3561);
 
@@ -5227,7 +5252,7 @@
                     }
                     break;
                 case 2 :
-                    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:746:4: res= initializedSet
+                    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:750:4: res= initializedSet
                     {
                     pushFollow(FOLLOW_initializedSet_in_initializedSetType3576);
                     res=initializedSet();
@@ -5257,7 +5282,7 @@
 
 
     // $ANTLR start "initializedSet"
-    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:749:1: initializedSet returns [Expression result] : T_CBRL e1= expression ( ( T_COMMA e2= expression )* |m= map[result, e1] | setComprehension[(SetConstructor)result] ) T_CBRR ;
+    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:753:1: initializedSet returns [Expression result] : T_CBRL e1= expression ( ( T_COMMA e2= expression )* |m= map[result, e1] | setComprehension[(SetConstructor)result] ) T_CBRR ;
     public final Expression initializedSet() throws RecognitionException {
         Expression result = null;
 
@@ -5275,8 +5300,8 @@
         		result = theset;
 
         try {
-            // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:756:2: ( T_CBRL e1= expression ( ( T_COMMA e2= expression )* |m= map[result, e1] | setComprehension[(SetConstructor)result] ) T_CBRR )
-            // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:756:4: T_CBRL e1= expression ( ( T_COMMA e2= expression )* |m= map[result, e1] | setComprehension[(SetConstructor)result] ) T_CBRR
+            // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:760:2: ( T_CBRL e1= expression ( ( T_COMMA e2= expression )* |m= map[result, e1] | setComprehension[(SetConstructor)result] ) T_CBRR )
+            // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:760:4: T_CBRL e1= expression ( ( T_COMMA e2= expression )* |m= map[result, e1] | setComprehension[(SetConstructor)result] ) T_CBRR
             {
             match(input,T_CBRL,FOLLOW_T_CBRL_in_initializedSet3602);
 
@@ -5286,53 +5311,53 @@
             state._fsp--;
 
 
-            // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:757:10: ( ( T_COMMA e2= expression )* |m= map[result, e1] | setComprehension[(SetConstructor)result] )
-            int alt80=3;
+            // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:761:10: ( ( T_COMMA e2= expression )* |m= map[result, e1] | setComprehension[(SetConstructor)result] )
+            int alt81=3;
             switch ( input.LA(1) ) {
             case T_CBRR:
             case T_COMMA:
                 {
-                alt80=1;
+                alt81=1;
                 }
                 break;
             case T_MAPS:
                 {
-                alt80=2;
+                alt81=2;
                 }
                 break;
             case T_BAR:
                 {
-                alt80=3;
+                alt81=3;
                 }
                 break;
             default:
                 final NoViableAltException nvae =
-                    new NoViableAltException("", 80, 0, input);
+                    new NoViableAltException("", 81, 0, input);
 
                 throw nvae;
 
             }
 
-            switch (alt80) {
+            switch (alt81) {
                 case 1 :
-                    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:758:4: ( T_COMMA e2= expression )*
+                    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:762:4: ( T_COMMA e2= expression )*
                     {
                     addToSet(result,e1);
 
-                    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:759:4: ( T_COMMA e2= expression )*
-                    loop79:
+                    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:763:4: ( T_COMMA e2= expression )*
+                    loop80:
                     do {
-                        int alt79=2;
-                        final int LA79_0 = input.LA(1);
+                        int alt80=2;
+                        final int LA80_0 = input.LA(1);
 
-                        if ( (LA79_0==T_COMMA) ) {
-                            alt79=1;
+                        if ( (LA80_0==T_COMMA) ) {
+                            alt80=1;
                         }
 
 
-                        switch (alt79) {
+                        switch (alt80) {
                     	case 1 :
-                    	    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:759:5: T_COMMA e2= expression
+                    	    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:763:5: T_COMMA e2= expression
                     	    {
                     	    match(input,T_COMMA,FOLLOW_T_COMMA_in_initializedSet3636);
 
@@ -5348,7 +5373,7 @@
                     	    break;
 
                     	default :
-                    	    break loop79;
+                    	    break loop80;
                         }
                     } while (true);
 
@@ -5356,7 +5381,7 @@
                     }
                     break;
                 case 2 :
-                    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:760:6: m= map[result, e1]
+                    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:764:6: m= map[result, e1]
                     {
                     pushFollow(FOLLOW_map_in_initializedSet3658);
                     m=map(result, e1);
@@ -5369,7 +5394,7 @@
                     }
                     break;
                 case 3 :
-                    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:761:5: setComprehension[(SetConstructor)result]
+                    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:765:5: setComprehension[(SetConstructor)result]
                     {
                     addToSet(result,e1);
 
@@ -5406,7 +5431,7 @@
 
 
     // $ANTLR start "map"
-    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:767:1: map[Expression _map, Expression e1] returns [Expression result] : am= T_MAPS e2= expression ( T_COMMA e3= expression T_MAPS e4= expression )* ;
+    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:771:1: map[Expression _map, Expression e1] returns [Expression result] : am= T_MAPS e2= expression ( T_COMMA e3= expression T_MAPS e4= expression )* ;
     public final Expression map(Expression _map, Expression e1) throws RecognitionException {
         Expression result = null;
 
@@ -5423,8 +5448,8 @@
         		result = null;
 
         try {
-            // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:772:2: (am= T_MAPS e2= expression ( T_COMMA e3= expression T_MAPS e4= expression )* )
-            // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:772:4: am= T_MAPS e2= expression ( T_COMMA e3= expression T_MAPS e4= expression )*
+            // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:776:2: (am= T_MAPS e2= expression ( T_COMMA e3= expression T_MAPS e4= expression )* )
+            // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:776:4: am= T_MAPS e2= expression ( T_COMMA e3= expression T_MAPS e4= expression )*
             {
             am=(Token)match(input,T_MAPS,FOLLOW_T_MAPS_in_map3717);
 
@@ -5436,20 +5461,20 @@
 
             result = createMap(e1,e2,am);
 
-            // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:772:63: ( T_COMMA e3= expression T_MAPS e4= expression )*
-            loop81:
+            // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:776:63: ( T_COMMA e3= expression T_MAPS e4= expression )*
+            loop82:
             do {
-                int alt81=2;
-                final int LA81_0 = input.LA(1);
+                int alt82=2;
+                final int LA82_0 = input.LA(1);
 
-                if ( (LA81_0==T_COMMA) ) {
-                    alt81=1;
+                if ( (LA82_0==T_COMMA) ) {
+                    alt82=1;
                 }
 
 
-                switch (alt81) {
+                switch (alt82) {
             	case 1 :
-            	    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:772:64: T_COMMA e3= expression T_MAPS e4= expression
+            	    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:776:64: T_COMMA e3= expression T_MAPS e4= expression
             	    {
             	    match(input,T_COMMA,FOLLOW_T_COMMA_in_map3729);
 
